global:
  imageRegistry: ""

ingress:
  enabled: true
  className: apisix
  annotations:
    k8s.apisix.apache.org/plugin-config-name: https-redirect
    cert-manager.io/cluster-issuer: "root-ca-issuer" 
    cert-manager.io/duration: 8760h  
    cert-manager.io/renew-before: 720h
  hosts:
    - host: "{{ .Name }}.{{ .Domain }}"
      paths:
        - path: /
          pathType: Prefix
  tls:
    - hosts:
        host: "{{ .Name }}.{{ .Domain }}"
      secretName: "{{ .Name }}-tls-secret"

extraVolumes:
 - name: keycloak-tls
   secret:
     secretName: keycloak-tls


extraContainerVolumeMounts:
  - name: keycloak-tls
    mountPath: /etc/ssl/certs/ca.crt
    subPath: ca.crt

extraInitVolumeMounts:
  - name: keycloak-tls
    mountPath: /etc/ssl/certs/ca.crt
    subPath: ca.crt    

replicaCount: 1

resources:
  requests:
    cpu: 100m
    memory: 300Mi
  limits:
    cpu: 300m
    memory: 500Mi

persistence:
  enabled: true
  size: 10Gi
  storageClass: "longhorn"

gitea:
  admin:   
    username: sudouser
    password: ""
    email: "gitea@local.domain"
    existingSecret: "$INFISICAL_SECRET"
  config:
    APP_NAME: paasup git
    RUN_MODE: prod
    server:
      ROOT_URL: "https://{{ .Name }}.{{ .Domain }}"
    database:
      DB_TYPE: postgres
      HOST: "{{ .Name }}-postgresql:5432"
      NAME: gitea
      USER: gitea
      PASSWD: gitea
      CHARSET: utf8
      SSL_MODE: disable
    session:
      PROVIDER: postgres
      PROVIDER_CONFIG: user=gitea password=gitea host={{ .Name }}-postgresql port=5432 dbname=gitea sslmode=disable
      COOKIE_NAME: i_hate_gitea  
    service:
      DEFAULT_ALLOW_CREATE_ORGANIZATION: true
    repository:
      DEFAULT_BRANCH: master
  oauth:
    - name: keycloak
      provider: "openidConnect"
      key: "$KEYCLOAK_CLIENT_ID" 
      secret: "$KEYCLOAK_CLIENT_SECRET"
      autoDiscoverUrl: "$KEYCLOAK_URL/realms/$KEYCLOAK_REALM/.well-known/openid-configuration"      

postgresql-ha:
  enabled: false
valkey:
  enabled: false
valkey-cluster:
  enabled: false
postgresql:
  enabled: true
  global:
    postgresql:
      auth:
        password: gitea
        database: gitea
        username: gitea
      service:
        ports:
          postgresql: 5432
  primary:
    persistence:
      size: 10Gi